{ config, lib, pkgs, user, ... }:

{
  imports = [
    ./i3status-rust.nix
  ];

  xsession.windowManager.i3 = {
    enable = true;
    config = {
      modifier = "Mod4";
      terminal = "${pkgs.kitty}/bin/kitty";

      fonts = {
        names = [ "DejaVu Sans Mono" ];
        size = 12.0;
      };

      window = {
        titlebar = false;
        border = 0;
      };

      floating = {
        titlebar = false;
        border = 0;
      };

      menu = "${pkgs.rofi}/bin/rofi -show drun";

      bars = [{
        mode = "hide";
        position = "top";
        statusCommand = "${pkgs.i3status-rust}/bin/i3status-rs ~/.config/i3status-rust/config-default.toml";

        fonts = {
          names = [ "DejaVu Sans Mono" ];
          size = 12.0;
        };
      }];

      defaultWorkspace = "workspace number 1";

      startup = [
        { command = "${pkgs.kitty}/bin/kitty"; }
        { command = "${pkgs.firefox}/bin/firefox"; }
      ];

      assigns = {
        "1" = [{ class = "^kitty$"; }];
        "5" = [{ class = "^firefox$"; }];
      };
    };
  };

  services.screen-locker = {
    enable = true;
    lockCmd = "${pkgs.i3lock}/bin/i3lock -n -c 000000";
  };
}
